--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Main driver for ParseTree. Returns a Sexp instance containing the AST representing the input given. This is a UnifiedRuby sexp, not a raw sexp from ruby. If you want raw, use the old parse_tree_for_xxx methods... Please tell me if/why you want raw, I'd like to know so I can justify keeping the code around.
full_name: ParseTree#process
is_singleton: false
name: process
params: (input, verbose = nil, file = "(string)", line = -1)
visibility: public
